Bug 1655233 - First line of a request transaction (Started GET...) does not contain request id [NEEDINFO]
Summary: First line of a request transaction (Started GET...) does not contain request id
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Logging
Version: 6.4.0
Hardware: x86_64
OS: Linux
medium
medium vote
Target Milestone: 6.6.0
Assignee: Lukas Zapletal
QA Contact: Stephen Wadeley
URL:
Whiteboard:
: 1698652 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-01 16:45 UTC by Pavel Moravec
Modified: 2019-08-07 16:03 UTC (History)
7 users (show)

Fixed In Version: foreman-1.21.0-0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
trichard: needinfo? (lzap)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 25619 None None None 2018-12-04 15:24:42 UTC

Description Pavel Moravec 2018-12-01 16:45:21 UTC
Description of problem:
When investigating an issue, it is sometimes VERY valuable to track a request from its origins till its response. Here the request ID just after timestamp plays a crucial role.

Since 6.4, the very first log of any request - the one starting with "Started .." - lacks the request ID. This sometimes makes impossible to correlate the request URI or originator IP address to the further processing of request. So e.g. for a request:

2018-12-01T17:39:07 [I|app|] Started GET "/rhsm/consumers/46dfcd50-b30d-4910-8800-d1701e3d3ccc/" for 10.44.129.254 at 2018-12-01 17:39:07 +0100
2018-12-01T17:39:07 [I|app|70784] Processing by Katello::Api::Rhsm::CandlepinProxiesController#consumer_show as */*
2018-12-01T17:39:07 [I|app|70784]   Parameters: {"id"=>"46dfcd50-b30d-4910-8800-d1701e3d3ccc"}
2018-12-01T17:39:07 [I|app|70784] Current user: foreman_admin (administrator)
2018-12-01T17:39:07 [E|app|70784] RestClient::NotFound: Katello::Resources::Candlepin::Consumer: 404 Not Found {"displayMessage":"Consumer with id 46dfcd50-b30d-4910-8800-d1701e3d3ccc could not be found.","requestUuid":"9fe0e792-3b50-4ec1-8acf-dfad4685f32e"} (GET /candlepin/consumers/46dfcd50-b30d-4910-8800-d1701e3d3ccc)
..
2018-12-01T17:39:07 [I|app|70784] Completed 404 Not Found in 38ms (Views: 0.7ms | ActiveRecord: 3.6ms)

we dont know if it was really the 10.44.129.254 address who raised the GET request to /rhsm/consumers/46dfcd50-b30d-4910-8800-d1701e3d3ccc/ that is failing.

So identifying originators of requests is sometimes problematic or even impossible (for above example, there are 2 ways of identifying it, but not for other use cases).

Please, put the request ID also to the "Started GET" (or PUT or DELETE or ..) log line, already.


Version-Release number of selected component (if applicable):
6.4.0


How reproducible:
100%


Steps to Reproduce:
1. Invoke any user activity that produces a log entry in /var/log/foreman/production.log
2. Find if "Started .." logline contains the request ID from the request (such that one can easily match request URI with its response)


Actual results:
2. isnt possible now


Expected results:
2. to have the request ID there


Additional info:

Comment 3 Lukas Zapletal 2018-12-04 15:24:43 UTC
Yeah.

Comment 4 pm-sat@redhat.com 2018-12-18 13:08:29 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25619 has been resolved.

Comment 5 Lukas Zapletal 2019-04-15 05:48:58 UTC
*** Bug 1698652 has been marked as a duplicate of this bug. ***

Comment 6 Lukas Zapletal 2019-04-15 05:52:36 UTC
Requesting 6.5.z, low risk, easy backport.


Note You need to log in before you can comment on or make changes to this bug.